Package io.vertx.openapi.validation.transformer

## Class MatrixTransformer

- java.lang.Object
- - io.vertx.openapi.validation.transformer.ParameterTransformer
  - - io.vertx.openapi.validation.transformer.MatrixTransformer

-     public class MatrixTransformer
      extends ParameterTransformer

  +--------+---------+--------+-------------+-------------------------------------+--------------------------+ | style | explode | empty | string | array | object | +--------+---------+--------+-------------+-------------------------------------+--------------------------+ | matrix | false | ;color | ;color=blue | ;color=blue,black,brown | ;color=R,100,G,200,B,150 | +--------+---------+--------+-------------+-------------------------------------+--------------------------+ | matrix | true | ;color | ;color=blue | ;color=blue;color=black;color=brown | ;R=100;G=200;B=150 | +--------+---------+--------+-------------+-------------------------------------+--------------------------+

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MatrixTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `buildPrefix​(Parameter parameter)` |
    `protected String[]` | `getArrayValues​(Parameter parameter, String rawValue)` |
    `protected String[]` | `getObjectKeysAndValues​(Parameter parameter, String rawValue)` |
    `Object` | `transform​(Parameter parameter, String rawValue)` | Transforms the raw value from its `String` representation into JSON.

    - ### Methods inherited from class io.vertx.openapi.validation.transformer.ParameterTransformer

      `transformArray, transformObject, transformPrimitive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatrixTransformer

          public MatrixTransformer()

  - ### Method Detail

    - #### buildPrefix

          public String buildPrefix​(Parameter parameter)

    - #### transform

          public Object transform​(Parameter parameter,
                                  String rawValue)

      Description copied from class: `ParameterTransformer`
      Transforms the raw value from its `String` representation into JSON. This method does not only decode a `String`, it also takes the different `styles` into account}.
      Overrides:
        `transform` in class `ParameterTransformer`
      Parameters:
        `parameter` - The parameter model
        `rawValue` - The parameter value
      Returns:
        An `Object` holding the transformed value.

    - #### getArrayValues

          protected String[] getArrayValues​(Parameter parameter,
                                            String rawValue)

      Specified by:
        `getArrayValues` in class `ParameterTransformer`

    - #### getObjectKeysAndValues

          protected String[] getObjectKeysAndValues​(Parameter parameter,
                                                    String rawValue)

      Specified by:
        `getObjectKeysAndValues` in class `ParameterTransformer`